Subject: Re: [PATCH v2] pager: remove 'S' from $LESS by default

From: Junio C Hamano <[email-masked]>
Date: Wed, 30 Apr 2014 10:34:09 -0700

Matthieu Moy <[email-masked]> writes:

> Junio C Hamano <[email-masked]> writes:
>
>> Matthieu Moy <[email-masked]> writes:
>>
>>> By default, Git used to set $LESS to -FRSX if $LESS was not set by the
>>> user. The FRX flags actually make sense for Git (F and X because Git
>>> sometimes pipes short output to less, and R because Git pipes colored
>>> output). The S flag (chop long lines), on the other hand, is not related
>>> to Git and is a matter of user preference. Git should not decide for the
>>> user to change LESS's default.
>>
>> Git always pipes its output to less,
>
> Err, no, not all commands use a pager.

Yeah, what I meant to say was that when it is told to use pager
(either by an explicit "git -p" or implicitly with the lack of "git
--no-pager"), it does not count the lines shown to avoid passing
short output to the pager.  "sometimes pipes" sounded to me as if we
attempt to do so and sometimes fail to.  But again, as I said, that
is just nitpicking.

>> I am inclined to suggest queuing it for the first batch after 2.0
>> instead of directly applying to 'master', as we have past the point
>> we can expect to see reports of unexpected fallouts and fix the
>> issues in time for the final.
>
> Fine with me.